Subject: Re: [TI994A] TurboForth preparation

From: [email-masked]
Date: Tue, 13 Apr 2010 09:03:03 EDT

I finally got around to re-configuring my Wycove Forth (Vn 3.0) system. I  
decided to "max out" - within reason - the maximum number of screens 
available  in a single 'SCREEN'  file. The total number allowed is dependent on the 
 number of sectors on your disk. Since each screen takes 4 sectors (1K), I 
chose  the round number of 300 screens for my DSDD drives. That means that 
the  'SCREENS' file could grow to a total of 1200 sectors.
 
I took this opportunity to add some words to the kernel that had been  
menu-electives. Beside the "Starting Forth" compatibility screens, I added the  
printer access screens, some easy access to DSK1, DSK2, and DSK3. I also 
added a  screen or two of auxiliary words that I had written. Everything was 
saved back  into my Wycove Forth that loads from my RAMdisk.
 
Then, I put together some additional options: a screen-to-DV 80 conversion  
option, a D/V 80-to-screen option, and an option to load D/V 80 files 
directly  as if they were screens. Those were all entered as menu options. I also 
added a  Henon Graphics demo as an option that Tim MacEachern wrote some 
years ago.
 
I had considered increasing the number of screen buffers but decided to  
leave that as it is currently specified. I haven't ruled out fiddling  around 
with some of the other system specifications, though.
 
Bob  Carmany

---

From: Owen Brand <[email-masked]>
Date: Tue, 13 Apr 2010 09:10:31 -0400

That's great!!!  Love to hear this kind of thing-- Id like to see a  
YouTube video of your mods and perhaps a short tutorial of how you  
went about it. If you've got a camera and can take a video of your  
updates with a bit if explanation, I'll take the videos, cut
'em up, splice them and make up a nice 10 minute YouTube video with  
subtitles and music and post it to the web!

Owen Brand
Opry99er.com

On Apr 13, 2010, at 9:03 AM, [email-masked] wrote:

> I finally got around to re-configuring my Wycove Forth (Vn 3.0)  
> system. I decided to "max out" - within reason - the maximum number  
> of screens available in a single 'SCREEN'  file. The total number  
> allowed is dependent on the number of sectors on your disk. Since  
> each screen takes 4 sectors (1K), I chose the round number of 300  
> screens for my DSDD drives. That means that the 'SCREENS' file could  
> grow to a total of 1200 sectors.
>
> I took this opportunity to add some words to the kernel that had  
> been menu-electives. Beside the "Starting Forth" compatibility  
> screens, I added the printer access screens, some easy access to  
> DSK1, DSK2, and DSK3. I also added a screen or two of auxiliary  
> words that I had written. Everything was saved back into my Wycove  
> Forth that loads from my RAMdisk.
>
> Then, I put together some additional options: a screen-to-DV 80  
> conversion  option, a D/V 80-to-screen option, and an option to load  
> D/V 80 files directly  as if they were screens. Those were all  
> entered as menu options. I also added a Henon Graphics demo as an  
> option that Tim MacEachern wrote some years ago.
>
> I had considered increasing the number of screen buffers but decided  
> to leave that as it is currently specified. I haven't ruled out  
> fiddling around with some of the other system specifications, though.
>
> Bob Carmany
>